通知を受け取る

UiPath 製品のインストールとアップグレード

UiPath 製品のインストールとアップグレード ガイド

ハードウェアおよびソフトウェアの要件

ハードウェア要件

以下に示す要件は、Insights がインストールされるサーバーに対してのみ適用されます。Insights を表示するユーザーに対する要件は、Web ブラウザーがサポートされていることのみです。

Insights サーバー

🚧

重要

Insights は独自のマシンにインストールする必要があります。Orchestrator と共通のマシンでホストすることはできません。

CPU (cores)System Memory (GB)Storage (GB)
83232

📘

注:

Docker をインストールするドライブ (通常は C:) には、少なくとも 32 GB のストレージが必要です。

仮想化

🚧

重要

仮想マシンまたはクラウドでホストされた仮想マシンを使用している場合、Windows オペレーティング システムでの入れ子になった仮想化をサポートしている必要があります。

Hyper-V Requirements for Cloud Service Providers
Azure - See more
AWS - See more

ポート

次のポートが外部からアクセス可能であり、他のサービスがこれらのポートを使用していないことを確認してください。

Ports
543

Note: This is the default port, and you can change it to any available port
9999
19999

📘

注:

Insights のホスト名がお使いの DNS 内で解決可能であることを確認してください。

SQL Server

📘

注:

最適なパフォーマンスを得るには、Insights のデータベースを専用のマシンでホストすることを検討してください。現在小規模なデプロイを使用している場合、または Insights の評価中である場合は、同じマシンに Orchestrator と Insights の両方のデータベースが存在していても構いません。パフォーマンスの問題が出てきた時点で Insights のデータベースを専用のマシンに移動することができます。

Small Scale (<1M Rows)Medium Scale (1-20M Rows)Large Scale(20-150M Rows)Extralarge Scale(150-500M Rows)
CPU4 Cores8 Cores8-16 Cores16 Cores
System Memory16 GB32 GB32-64 GB64 GB
Data Disk40 GB / 7500 IOPS100 GB / 7500 IOPS500 GB / 15000 IOPS1 TB / 15000 IOPS

ソフトウェア要件

🚧

重要

Orchestrator と Insights の製品バージョンは同一である必要があります (例: v2021.10.0)。

オペレーティング システム

SoftwareCompatible Version
Windows Server2019

データベース

SoftwareCompatible Version
SQL Server2019

📘

注:

  • Insights では、SQL Server が列ストア インデックスと .json 機能をサポートしている必要があります。

  • Azure SQL の場合、データベースが S3 層以上であることを確認してください。

  • Insights データベースの互換性レベルが 150 以上に設定されていることを確認してください ("SELECT compatibility_level from sys.databases WHERE name = '{dbName}')。ほとんどの場合、既定の設定はこの要件を満たしています。詳しくは、「データベースの互換性レベルの表示または変更 - SQL Server」をご覧ください。

Web ブラウザー

SoftwareCompatible Version
Chrome50.0+
Firefox69.0.1+
Note: Not supported in Private Browsing mode.
Edge (Chromium)20.0+

Web サーバー

SoftwareCompatible Version
IIS10+

フレームワーク

📘

注:

IIS のインストール後にホスティング バンドルをインストールするようにしてください。

SoftwareCompatible Version
.NET Hosting Bundle 6.0.7+6.0.7+

Docker

Software
Docker for Windows Server 2019

Note: We do not support WSL-backended Docker. For installation instructions, see Prerequisites to Installation page.

セキュリティ プロトコル

SoftwareCompatible Version
TLS1.1 or 1.2

🚧

重要

Firefox で自己署名証明書を使用して Insights にアクセスする場合は、処理の進め方の詳細について、「Firefox の使用」をご覧ください。

3 か月前に更新


ハードウェアおよびソフトウェアの要件


改善の提案は、API リファレンスのページでは制限されています

改善を提案できるのは Markdown の本文コンテンツのみであり、API 仕様に行うことはできません。